Summary:	Composite extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia Composite
Name:		xorg-proto-compositeproto
Version:	0.4.2
Release:	2
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/compositeproto-%{version}.tar.bz2
# Source0-md5:	98482f65ba1e74a08bf5b056a4031ef0
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Composite extension headers.

%description -l pl.UTF-8
Nagłówki rozszerzenia Composite.

%package devel
Summary:	Composite extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia Composite
Group:		X11/Development/Libraries
Requires:	xorg-proto-fixesproto-devel
Obsoletes:	compositeext

%description devel
Composite extension headers.

%description devel -l pl.UTF-8
Nagłówki rozszerzenia Composite.

%prep
%setup -q -n compositeproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README compositeproto.txt
%{_includedir}/X11/extensions/composite*.h
%{_pkgconfigdir}/compositeproto.pc
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-proto-compositeproto.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7fe8054
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8fe0fc2
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 75e2cda
- updated to 0.4.2

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> a10787a
- util-macros version

* Sat Oct 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 57a27f0
- up to 0.4.1

* Wed Jul 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 5a94c7a
- Composite is an extension
- more docs

* Wed Jul 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 0cda1b6
- up to 0.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 40af1cc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ba02a2a
- converted to UTF-8

* Sat Apr 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 32e9184
- up to 0.3.1

* Thu Mar 16 2006 freetz <freetz@pld-linux.org> 900d298
- 0.3

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> f0cc35a
- release 1.

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 16d4bb3
- sources from X11R7.0 release

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 9a438b2
- pkgconfig not buildrequired here

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> b04a914
- 0.2.2 (X11R7.0-RC4)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> b9db827
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 613c406
- BR: autoconf >= 2.57

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> dd8cee7
- R: xorg-proto-fixesproto-devel (<X11/extensions/xfixeswire.h>)

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> fd090b9
- 0.2.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> cdba0f5
- kill /usr/X11R6

